diff --git a/openbsc/src/system_information.c b/openbsc/src/system_information.c
index d6d166c..d66e890 100644
--- a/openbsc/src/system_information.c
+++ b/openbsc/src/system_information.c
@@ -134,8 +134,9 @@ static int generate_bcch_chan_list(u_int8_t *chan_list, const struct gsm_bts *bt
 
 	/* GSM900-only handsets only support 'bit map 0 format' */
 	if (bts->band == GSM_BAND_900) {
+#warning why clearing chan_list[0] again?
 		chan_list[0] = 0;
-		llist_for_each_entry(cur_bts, &bts->list, list) {
+		llist_for_each_entry(cur_bts, &bts->network->bts_list, list) {
 			trx = cur_bts->c0;
 			rc = cchan_list_bm0_set_arfcn(chan_list, trx->arfcn);
 			if (rc < 0)
